GET api/mediwaveprogramstepapi/step/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
MediWaveProgramStepViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| code | integer |
Required Range: inclusive between 0 and ∞ |
|
| id | globally unique identifier |
None. |
|
| program_id | globally unique identifier |
Required |
|
| mediwave_program_step_type_id | globally unique identifier |
Required |
|
| name | string |
Required |
Response Formats
application/json, text/json
Sample:
{
"active": true,
"code": 2,
"id": "0c53f253-1c88-495b-8f5a-3e54a54ac049",
"program_id": "5eb706f4-0557-4b51-88f2-4bb167a89c24",
"mediwave_program_step_type_id": "85344410-5850-492a-85cd-bac0e9d22706",
"name": "sample string 6"
}
application/xml, text/xml
Sample:
<mediwave_program_step xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <code>2</code> <id>0c53f253-1c88-495b-8f5a-3e54a54ac049</id> <mediwave_program_step_type_id>85344410-5850-492a-85cd-bac0e9d22706</mediwave_program_step_type_id> <name>sample string 6</name> <program_id>5eb706f4-0557-4b51-88f2-4bb167a89c24</program_id> </mediwave_program_step>